Subject: Re: bug#29812: 27.0.50; electric-quote-replace-double misbehaves in Lisp strings

From: Philipp Stephani <[email-masked]>
Date: Sat, 30 Dec 2017 22:07:16 +0000

Eli Zaretskii <[email-masked]> schrieb am Fr., 22. Dez. 2017 um 14:41 Uhr:

> To reproduce:
>
>   emacs -Q
>   M-x electric-quote-mode RET
>   M-x set-variable RET electric-quote-replace-double RET t RET
>
> Type:
>
>   "foo \"foo\""
>
> You get this in the buffer:
>
>   "foo \”foo\”"
>
> I expected "foo \“foo\”" instead.
>
>
I think it's not completely clear what to expect here. After all, electric
quote is for human-language text, which normally doesn't contain
backslashes.
At least in the context of Emacs Lisp strings, I'd expect "foo \"foo\""
here, i.e., ASCII quotes. The non-ASCII quotes don't need to be escaped, so
presumably escaping means that the user intended to type an ASCII quote.